//---------------------------------------------------------------------------
#ifndef QDateEditH
#define QDateEditH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <StdCtrls.hpp>
#include <Buttons.hpp>
enum TEditType {etDATE, etDATETIME};
//---------------------------------------------------------------------------
class TQDateEdit : public TCustomEdit
{
private:
	TSpeedButton *FButton;
	TCanvas *FCanvas;
    int FMaxLen;
    TEditType FQEditType;
	int __fastcall GetMinHeight(void);
    bool __fastcall ValidDayForMonth(int Month, Char Key);
	void __fastcall SetEditRect(void);
	MESSAGE void __fastcall WMSize(TWMSize &Message);
	MESSAGE void __fastcall CMEnter(TWMNoParams &Message);
	MESSAGE void __fastcall CMExit(TWMNoParams &Message);
	MESSAGE void __fastcall WMPaste(TWMNoParams &Message);
	MESSAGE void __fastcall WMCut(TWMNoParams &Message);

protected:
	//DYNAMIC void __fastcall GetChildren(TGetChildProc Proc, TComponent * Root);
	virtual bool __fastcall IsValidChar(Char Key);
	virtual void __fastcall ButtonClick(TObject *Sender);
	virtual void __fastcall EditMouseMove(TObject *Sender, TShiftState Shift, int X, int Y);
	DYNAMIC void __fastcall KeyDown(Word &Key,  TShiftState Shift);
	DYNAMIC void __fastcall KeyPress(Char &Key);
	virtual void __fastcall CreateParams(TCreateParams &Params);
	virtual void __fastcall CreateWnd(void);


public:
	__fastcall TQDateEdit(TComponent* Owner);
    AnsiString CalDateFormatStr;
    AnsiString CalDateTimeFormatStr;
    AnsiString DateFormatStr;
    AnsiString DateTimeFormatStr;
    AnsiString DisplayFormat;
    TEditType QEditType;
    AnsiString FieldName;
    TFieldType DataType;
    TDateTime Date;
__published:
	__property Text;
    __property OnEnter;
    __property OnExit;
    __property ShowHint;
    __property Hint;
BEGIN_MESSAGE_MAP
    MESSAGE_HANDLER(WM_SIZE, TWMSize, WMSize);
    MESSAGE_HANDLER(CM_ENTER, TWMNoParams, CMEnter);
    MESSAGE_HANDLER(CM_EXIT, TWMNoParams, CMExit);
    MESSAGE_HANDLER(WM_PASTE, TWMNoParams, WMPaste);
    MESSAGE_HANDLER(WM_CUT, TWMNoParams, WMCut);
END_MESSAGE_MAP(TCustomEdit);
};


//---------------------------------------------------------------------------
#endif
