//----------------------------------------------------------------------------
#ifndef DataModH
#define DataModH
//----------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Windows.hpp>
#include <Classes.hpp>
#include <Graphics.hpp>
#include <Controls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <DB.hpp>
#include <DBTables.hpp>
#include <Db.hpp>
#include "QueryDialog.h"
//----------------------------------------------------------------------------
class TOrderDataModule : public TDataModule
{
__published:
	TFloatField *OrderQueryOrderNo;
	TFloatField *ItemsOrderNo;
	TFloatField *ItemsItemNo;
	TFloatField *ItemsPartNo;
	TIntegerField *ItemsQty;
	TFloatField *ItemsDiscount;
	TDataSource *OrderSource;
	TQuery *OrderQuery;
	TQuery *Items;
	TDataSource *ItemSource;
	TQuery *Customers;
	TFloatField *CustomersCustNo;
	TStringField *CustomersCompany;
	TStringField *CustomersAddr1;
	TStringField *CustomersAddr2;
	TStringField *CustomersCity;
	TStringField *CustomersState;
	TStringField *CustomersZip;
	TStringField *CustomersCountry;
	TStringField *CustomersPhone;
	TStringField *CustomersFAX;
	TFloatField *CustomersTaxRate;
	TStringField *CustomersContact;
	TDateTimeField *CustomersLastInvoiceDate;
	TDataSource *CustomerSource;
	TQuery *Employee;
	TIntegerField *EmployeeEmpNo;
	TStringField *EmployeeLastName;
	TStringField *EmployeeFirstName;
	TStringField *EmployeePhoneExt;
	TDateTimeField *EmployeeHireDate;
	TFloatField *EmployeeSalary;
	TDataSource *EmpSource;
	TQueryDialog *QueryDialog;
	TFloatField *OrderQueryCustNo;
	TDateTimeField *OrderQuerySaleDate;
	TDateTimeField *OrderQueryShipDate;
	TIntegerField *OrderQueryEmpNo;
	TStringField *OrderQueryShipToContact;
	TStringField *OrderQueryShipToAddr1;
	TStringField *OrderQueryShipToAddr2;
	TStringField *OrderQueryShipToCity;
	TStringField *OrderQueryShipToState;
	TStringField *OrderQueryShipToZip;
	TStringField *OrderQueryShipToCountry;
	TStringField *OrderQueryShipToPhone;
	TStringField *OrderQueryShipVIA;
	TStringField *OrderQueryPO;
	TStringField *OrderQueryTerms;
	TStringField *OrderQueryPaymentMethod;
	TCurrencyField *OrderQueryItemsTotal;
	TFloatField *OrderQueryTaxRate;
	TCurrencyField *OrderQueryFreight;
	TCurrencyField *OrderQueryAmountPaid;
	void __fastcall DataModuleCreate(TObject *Sender);
private:
	// private declarations
public:
	// public declarations
	__fastcall TOrderDataModule(TComponent *Owner);
	void __fastcall QueryOrdersDataSet(void);
    void __fastcall QueryItems(TDBGrid *GridToQuery);
    void __fastcall QueryOrders(TForm *FormToQuery);
};
//----------------------------------------------------------------------------
extern PACKAGE TOrderDataModule *OrderDataModule;
//----------------------------------------------------------------------------
#endif
